Package ghidra.framework.store.remote

# Class RemoteUnknownFolderItem

java.lang.Object
ghidra.framework.store.remote.RemoteFolderItem
ghidra.framework.store.remote.RemoteUnknownFolderItem

All Implemented Interfaces:
  `FolderItem`, `UnknownFolderItem`

public class RemoteUnknownFolderItem extends RemoteFolderItem implements UnknownFolderItem

- ## Field Summary

  ### Fields inherited from class ghidra.framework.store.remote.RemoteFolderItem

  `contentType, fileID, itemName, parentPath, repository, textData, version, versionTime`

  ### Fields inherited from interface ghidra.framework.store.FolderItem

  `DATABASE_FILE_TYPE, DATAFILE_FILE_TYPE, DEFAULT_CHECKOUT_ID, LATEST_VERSION, LINK_FILE_TYPE, UNKNOWN_FILE_TYPE`

  ### Fields inherited from interface ghidra.framework.store.UnknownFolderItem

  `UNKNOWN_CONTENT_TYPE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `canRecover()`
  Returns true if unsaved file changes can be recovered.
  `int`
  `getFileType()`
  Get the file type: `FolderItem.DATABASE_FILE_TYPE` `FolderItem.DATAFILE_FILE_TYPE` `FolderItem.LINK_FILE_TYPE`
  `boolean`
  `hasCheckouts()`
  Returns true if this item is versioned and has one or more checkouts.
  `boolean`
  `isCheckinActive()`
  Returns true if this item is versioned and has a checkin in-progress.
  `long`
  `length()`
  Returns the length of this domain file.
  `void`
  `output(File outputFile, int ver, TaskMonitor monitor)`
  Serialize (i.e., pack) this item into the specified outputFile.
  `void`
  `updateCheckoutVersion(long checkoutId, int checkoutVersion, String user)`
  Update the checkout version associated with this versioned item.

  ### Methods inherited from class ghidra.framework.store.remote.RemoteFolderItem

  `checkout, clearCheckout, delete, getCheckout, getCheckoutId, getCheckouts, getCheckoutVersion, getContentType, getContentTypeVersion, getCurrentVersion, getFileID, getLocalCheckoutVersion, getName, getParentPath, getPathName, getVersions, isCheckedOut, isCheckedOutExclusive, isReadOnly, isVersioned, lastModified, refresh, resetFileID, setCheckout, setContentTypeVersion, setReadOnly, terminateCheckout`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface ghidra.framework.store.FolderItem

  `checkout, clearCheckout, delete, getCheckout, getCheckoutId, getCheckouts, getCheckoutVersion, getContentType, getContentTypeVersion, getCurrentVersion, getFileID, getLocalCheckoutVersion, getName, getParentPath, getPathName, getVersions, isCheckedOut, isCheckedOutExclusive, isReadOnly, isVersioned, lastModified, refresh, resetFileID, setCheckout, setContentTypeVersion, setReadOnly, terminateCheckout`

- ## Method Details

  - ### getFileType

    public int getFileType()
    Description copied from interface: `UnknownFolderItem`
    Get the file type:
    - `FolderItem.DATABASE_FILE_TYPE`
    - `FolderItem.DATAFILE_FILE_TYPE`
    - `FolderItem.LINK_FILE_TYPE`
    Specified by:
      `getFileType` in interface `UnknownFolderItem`
    Returns:
      file type or `FolderItem.UNKNOWN_FILE_TYPE` (-1) if unknown

  - ### length

    public long length() throws IOException
    Description copied from interface: `FolderItem`
    Returns the length of this domain file. This size is the minimum disk space used for storing this file, but does not account for additional storage space used to tracks changes, etc.
    Specified by:
      `length` in interface `FolderItem`
    Returns:
      file length
    Throws:
      `IOException` - thrown if IO or access error occurs

  - ### hasCheckouts

    public boolean hasCheckouts() throws IOException
    Description copied from interface: `FolderItem`
    Returns true if this item is versioned and has one or more checkouts.
    Specified by:
      `hasCheckouts` in interface `FolderItem`
    Throws:
      `IOException` - if an IO error occurs

  - ### canRecover

    public boolean canRecover()
    Description copied from interface: `FolderItem`
    Returns true if unsaved file changes can be recovered.
    Specified by:
      `canRecover` in interface `FolderItem`

  - ### isCheckinActive

    public boolean isCheckinActive() throws IOException
    Description copied from interface: `FolderItem`
    Returns true if this item is versioned and has a checkin in-progress.
    Specified by:
      `isCheckinActive` in interface `FolderItem`
    Throws:
      `IOException` - if an IO error occurs

  - ### updateCheckoutVersion

    public void updateCheckoutVersion(long checkoutId, int checkoutVersion, String user) throws IOException
    Description copied from interface: `FolderItem`
    Update the checkout version associated with this versioned item.
    Specified by:
      `updateCheckoutVersion` in interface `FolderItem`
    Parameters:
      `checkoutId` - id corresponding to an existing checkout
      `checkoutVersion` -
      `user` -
    Throws:
      `IOException` - if an IO error occurs.

  - ### output

    public void output(File outputFile, int ver, TaskMonitor monitor) throws IOException, CancelledException
    Description copied from interface: `FolderItem`
    Serialize (i.e., pack) this item into the specified outputFile.
    Specified by:
      `output` in interface `FolderItem`
    Parameters:
      `outputFile` - packed output file to be created
      `ver` - if this item is versioned, specifies the version to be output, otherwise -1 should be specified.
      `monitor` - progress monitor
    Throws:
      `IOException`
      `CancelledException` - if monitor cancels operation